#210 make rpm problems

closed-fixed
Matt
Build (20)
5
2011-11-02
2011-05-04
Todd
No

Attached are my initial patches. I'm they are still somewhat a work in progress as I'm trying to get the RPM to update the 4.5 rpms to 4.8. I will be working on this more this week. There are still some problems with this, and transaction problems I just found in my latest test. New patch to come soon.

Discussion

  • Todd

    Todd - 2011-05-12

    3297274-working.patch solves:
    *RPM Confilcts for plugins added in 4.8
    *Root make requirements for windows and citrix plugins
    *Allows nagios3, collectd, and puppet to be included in rpm available from rpmforge
    *Separate openqrm-plugins.spec
    *Obsoletes openqrm-plugin-* packages that were from <= 4.5
    *Provides/Obsoletes openqrm-server package from <= 4.5
    *Includes code to properly handle upgrades and uninstalls separately.
    *runs openqrm-update upgrade scripts properly and has internal code to backup current system.

    Current code just assumes upgrades are uninstalls and incorrectly calls openqrm-server.preremove on %preun which has arguments that should be taken into account to determine upgrade or uninstall.

    RPMs are available at http://mirror.tjsquared.com/tj2/centos-5/

     
  • Todd

    Todd - 2011-05-12

    Working RPM Patch

     
  • Matt

    Matt - 2011-06-06

    thanks Todd! many thanks for reporting and patches. Great!
    We plan to fix it for the next official release.

    many thanks and have a nice day,

    Matt Rechenburg
    Project Manager openQRM

     
  • Matt

    Matt - 2011-06-06
    • status: open --> open-accepted
     
  • Matt

    Matt - 2011-11-02

    We have fixed the rpm-packaging for the just released openQRM 4.9
    closing this bug

    Matt Rechenburg
    Project Manager openQRM

     
  • Matt

    Matt - 2011-11-02
    • status: open-accepted --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks